## zoneminder-dmo 1.38.0

=== db/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder database scripts

# Create files from the .in files
configure_file(zm_create.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_create.sql" @ONLY)
configure_file(zm_update-1.31.30.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.31.30.sql" @ONLY)
configure_file(zm_update-1.35.24.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.35.24.sql" @ONLY)
configure_file(zm_update-1.37.4.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.4.sql" @ONLY)
configure_file(zm_update-1.37.69.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.69.sql" @ONLY)
configure_file(zm_update-1.37.74.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.74.sql" @ONLY)
configure_file(zm_update-1.37.77.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.77.sql" @ONLY)

# install zm_create.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_create.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

# Glob all database upgrade scripts
file(GLOB dbfileslist RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.sql")

# install zm_update-1.31.30.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.31.30.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.35.24.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.35.24.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.4.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.4.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.69.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.69.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.74.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.74.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.77.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.77.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

# Install the database upgrade scripts
install(FILES ${dbfileslist} DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

=== src/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder binaries

# Create files from the .in files
configure_file(zm_config_data.h.in "${CMAKE_BINARY_DIR}/zm_config_data.h" @ONLY)

# Group together all the source files that are used by all the binaries (zmc, zmu, zms etc)
set(ZM_BIN_SRC_FILES
  zm_analysis_thread.cpp
  zm_poll_thread.cpp
  zm_buffer.cpp
  zm_camera.cpp
  zm_comms.cpp
  zm_config.cpp
  zm_crypt.cpp
  zm.cpp
  zm_db.cpp
  zm_decoder_thread.cpp
  zm_group_permission.cpp
  zm_monitor_permission.cpp
  zm_logger.cpp
  zm_event.cpp
  zm_eventstream.cpp
  zm_event_tag.cpp
  zm_exception.cpp
  zm_fifo.cpp
  zm_fifo_debug.cpp
  zm_fifo_stream.cpp
  zm_file_camera.cpp
  zm_font.cpp
  zm_frame.cpp
  zm_group.cpp
  zm_image.cpp
  zm_jpeg.cpp
  zm_libvlc_camera.cpp
  zm_libvnc_camera.cpp
  zm_local_camera.cpp
  zm_monitor.cpp
  zm_monitor_monitorlink.cpp
  zm_monitor_rtsp2web.cpp
  zm_monitor_go2rtc.cpp
  zm_monitor_janus.cpp
  zm_monitor_amcrest.cpp
  zm_monitor_onvif.cpp
  zm_monitorlink_expression.cpp
  #zm_monitorlink_token.cpp
  zm_monitorstream.cpp
  zm_mqtt.cpp
  zm_ffmpeg.cpp
  zm_ffmpeg_camera.cpp
  zm_ffmpeg_input.cpp
  zm_mpeg.cpp
  zm_packet.cpp
  zm_packetqueue.cpp
  zm_poly.cpp
  zm_regexp.cpp
  zm_remote_camera.cpp
  zm_remote_camera_http.cpp
  zm_remote_camera_nvsocket.cpp
  zm_remote_camera_rtsp.cpp
  zm_rtp.cpp
  zm_rtp_ctrl.cpp
  zm_rtp_data.cpp
  zm_rtp_source.cpp
  zm_rtsp.cpp
  zm_rtsp_auth.cpp
  zm_rtsp_server_fifo_source.cpp
  zm_rtsp_server_fifo_adts_source.cpp
  zm_rtsp_server_fifo_h264_source.cpp
  zm_rtsp_server_fifo_av1_source.cpp
  zm_rtsp_server_fifo_audio_source.cpp
  zm_rtsp_server_fifo_video_source.cpp
  zm_sdp.cpp
  zm_server.cpp
  zm_signal.cpp
  zm_stream.cpp
  zm_swscale.cpp
  zm_tag.cpp
  zm_time.cpp
  zm_uri.cpp
  zm_user.cpp
  zm_utils.cpp
  zm_videostore.cpp
  zm_zone.cpp
  zm_storage.cpp)

if(GSOAP_FOUND)
  set(ZM_BIN_SRC_FILES
  ${ZM_BIN_SRC_FILES}
  bindings.h
  ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
  ${CMAKE_BINARY_DIR}/generated/soapC.cpp
  ${GSOAP_PLUGIN_DIR}/smdevp.c
  ${GSOAP_PLUGIN_DIR}/mecevp.c
  ${GSOAP_PLUGIN_DIR}/wsaapi.c
  ${GSOAP_PLUGIN_DIR}/wsseapi.c
  ${GSOAP_PLUGIN_DIR}/logging.c
  ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c
  )

  SET(GCC_COMPILE_FLAGS "-DWITH_OPENSSL -DWITH_DOM")
  SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${GCC_COMPILE_FLAGS}")

  #Create the directory that will host files generated by GSOAP
  file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/generated)

  #some files are generated by gsoap
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapClientLib.c       PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapC.c       PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp     PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/smdevp.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/mecevp.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsaapi.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsseapi.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/logging.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/smdevp.c PROPERTIES COMPILE_FLAGS "-Wno-implicit-fallthrough")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/mecevp.c PROPERTIES COMPILE_FLAGS "-Wno-implicit-fallthrough -Wno-implicit-function-declaration")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsaapi.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsseapi.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/logging.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")

  #Create a cmake target that generate gsoap files
  add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/generated/soapC.cpp
    OUTPUT ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
    #COMMAND ${GSOAP_WSDL2H} -d -P -O2 -o ${CMAKE_BINARY_DIR}/generated/bindings.h http://www.onvif.org/onvif/ver10/events/wsdl/event.wsdl
    #COMMAND echo '\#import \"wsse.h\"' >> ${CMAKE_BINARY_DIR}/generated/bindings.h
    #COMMAND echo '\#import \"struct_timeval.h\"' >> ${CMAKE_BINARY_DIR}/generated/bindings.h
    COMMAND ${GSOAP_SOAPCPP2} -a -n -2 -C -I ${GSOAP_PLUGIN_DIR}/.. -I ${GSOAP_PLUGIN_DIR}/../import/ -I ${GSOAP_PLUGIN_DIR}/../custom/ -d ${CMAKE_BINARY_DIR}/generated -j -x ${CMAKE_CURRENT_SOURCE_DIR}/bindings.h
    COMMENT "CREATING STUBS AND GLUE CODE"
  )

  add_custom_target(GSOAP_GENERATION_TARGET
        DEPENDS ${CMAKE_BINARY_DIR}/generated/soapC.cpp
        DEPENDS ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
        DEPENDS ${GSOAP_PLUGIN_DIR}/smdevp.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/mecevp.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/wsaapi.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/wsseapi.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/logging.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c
  )

endif()

# A fix for cmake recompiling the source files for every target.
add_library(zm STATIC ${ZM_BIN_SRC_FILES})

target_include_directories(zm
  PUBLIC
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ../dep/booleval/include
    )

if(GSOAP_FOUND)
target_include_directories(zm
  PUBLIC
    ${CMAKE_BINARY_DIR}/generated
    ${GSOAP_PLUGIN_DIR}/..
    ${GSOAP_INCLUDE_DIR})

endif()

target_link_libraries(zm
  PUBLIC
    FFMPEG::avcodec
    FFMPEG::avdevice
    FFMPEG::avformat
    FFMPEG::avutil
    FFMPEG::swresample
    FFMPEG::swscale
    libbcrypt::bcrypt
    RtspServer::RtspServer
    chmike::CxxUrl
    martinmoene::span-lite
    ${ZM_BIN_LIBS}
  PRIVATE
    zm-core-interface)

set(GSOAP_LIBRARIES ${GSOAP_CXX_LIBRARIES})
if(HAVE_LIBOPENSSL)
  set(GSOAP_LIBRARIES ${GSOAP_SSL_CXX_LIBRARIES})
endif()

if(GSOAP_FOUND)
  target_link_libraries(zm
    PUBLIC
      ${GSOAP_LIBRARIES}
      ${OPENSSL_SSL_LIBRARY}
      ${OPENSSL_CRYPTO_LIBRARY})
endif()

if(${ZM_JWT_BACKEND} STREQUAL "jwt_cpp")
  target_link_libraries(zm
    PUBLIC
      jwt-cpp::jwt-cpp)
elseif(${ZM_JWT_BACKEND} STREQUAL "libjwt")
  target_link_libraries(zm
    PUBLIC
      JWT::libjwt)
endif()

if(TARGET V4L2::videodev2)
  target_link_libraries(zm
    PRIVATE
      V4L2::videodev2)
endif()

add_executable(zmc zmc.cpp)
add_executable(zms zms.cpp)
add_executable(zmu zmu.cpp)
add_executable(zmbenchmark zmbenchmark.cpp)

if(GSOAP_FOUND)
  #Make sure that the client is compiled only after gsoap has been processed
  add_dependencies(zmc GSOAP_GENERATION_TARGET)
endif()

target_link_libraries(zmc
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zms
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zmu
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zmbenchmark
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

# Generate man files for the binaries destined for the bin folder
if(BUILD_MAN)
  foreach(CBINARY zmc zmu)
    POD2MAN(${CMAKE_CURRENT_SOURCE_DIR}/${CBINARY}.cpp ${CBINARY} 8 ${ZM_MANPAGE_DEST_PREFIX})
  endforeach(CBINARY zmc zmu)
endif()

install(TARGETS zmc zmu RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(TARGETS zms RUNTIME DESTINATION "${ZM_CGIDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(CODE "execute_process(COMMAND ln -sf zms nph-zms WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nph-zms DESTINATION "${ZM_CGIDIR}")

if(HAVE_RTSP_SERVER)
  add_executable(zm_rtsp_server zm_rtsp_server.cpp)
  target_link_libraries(zm_rtsp_server
    PRIVATE
      zm-core-interface
      zm
      ${ZM_EXTRA_LIBS}
      ${CMAKE_DL_LIBS})
  install(TARGETS zm_rtsp_server RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

=== tests/CMakeLists.txt ===
# This file is part of the ZoneMinder Project.
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


include(Catch)

set(TEST_SOURCES
  zm_box.cpp
  zm_comms.cpp
  zm_crypt.cpp
  zm_font.cpp
  zm_onvif_renewal.cpp
  zm_poly.cpp
  zm_utils.cpp
  zm_vector2.cpp)

add_executable(tests main.cpp ${TEST_SOURCES})

target_link_libraries(tests
  PRIVATE
    zm-core-interface
    zm
    ${ZM_BIN_LIBS}
    bcrypt
    Catch2::Catch2WithMain)

target_include_directories(tests
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR})

catch_discover_tests(tests)

add_custom_command(TARGET tests
  PRE_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_CURRENT_SOURCE_DIR}/data/ ${CMAKE_CURRENT_BINARY_DIR}/data/
  BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/data/)

## zoneminder-dmo 1.36.5

=== debian/changelog ===
zoneminder-dmo (2:1.36.5-dmo1+deb11u2) oldstable; urgency=medium

  * In postinst and postrm use /etc/mysql/my.cnf instead of /etc/mysql/debian.cnf

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Nov 2024 09:18:04 +0100

zoneminder-dmo (2:1.36.5-dmo1+deb11u1) stable; urgency=medium

  * Simplify database upgrade in postinst scrip.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Oct 2022 17:10:00 +0200

zoneminder-dmo (2:1.36.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Jun 2021 20:49:09 +0200

zoneminder-dmo (2:1.36.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Jun 2021 23:20:18 +0200

zoneminder-dmo (2:1.36.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 31 May 2021 07:21:59 +0200

zoneminder-dmo (2:1.36.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 May 2021 20:27:29 +0200

zoneminder-dmo (2:1.36.1-dmo2) unstable; urgency=medium

  * Don't use libjs-bootstrap 3.x upstream now use libjs-bootstrap 4.x
    (Thanks to Tor Harald Thorland for the bug report).
  * In postinst script, test for /usr/bin/mysqladmin instead of
    /etc/init.d/mysql

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 May 2021 16:42:18 +0200

zoneminder-dmo (2:1.36.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 May 2021 18:42:00 +0200

zoneminder-dmo (2:1.36.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 May 2021 07:48:10 +0200

zoneminder-dmo (2:1.34.26-dmo2) unstable; urgency=medium

  * Build with libx264-163

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 17:33:33 +0200

zoneminder-dmo (2:1.34.26-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Apr 2021 08:45:17 +0200

zoneminder-dmo (2:1.34.24-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Apr 2021 08:32:44 +0200

zoneminder-dmo (2:1.34.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jan 2021 08:39:16 +0100

zoneminder-dmo (2:1.34.22-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Oct 2020 23:31:25 +0200

zoneminder-dmo (2:1.34.21-dmo2) unstable; urgency=medium

  * Restore Marc Merlin code in postinst to install and upgrade the
    zoneminder database automatically (I don't know why this code has been
    removed).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Sep 2020 15:24:17 +0200

zoneminder-dmo (2:1.34.21-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Sep 2020 00:02:51 +0200

zoneminder-dmo (2:1.34.20-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Aug 2020 18:15:11 +0200

zoneminder-dmo (2:1.34.19-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Aug 2020 17:50:52 +0200

zoneminder-dmo (2:1.34.18-dmo2) unstable; urgency=medium

  * Add zma.8, zmc.8 and zmu.8 manpages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Aug 2020 07:26:14 +0200

zoneminder-dmo (2:1.34.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Aug 2020 17:31:49 +0200

zoneminder-dmo (2:1.34.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Aug 2020 20:26:34 +0200

zoneminder-dmo (2:1.34.16-dmo3) unstable; urgency=medium

  * Build with libx264-161

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Jul 2020 15:31:09 +0200

zoneminder-dmo (2:1.34.16-dmo2) unstable; urgency=medium

  * Replaces fonts-glewlwyd by fonts-glyphicons-halflings

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Jun 2020 07:13:06 +0200

zoneminder-dmo (2:1.34.16-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jun 2020 00:43:44 +0200

zoneminder-dmo (2:1.34.15-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 May 2020 17:56:04 +0200

zoneminder-dmo (2:1.34.14-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 May 2020 02:24:50 +0200

zoneminder-dmo (2:1.34.13-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 May 2020 23:20:06 +0200

zoneminder-dmo (2:1.34.12-dmo2) unstable; urgency=medium

  * Rework symbolic links to real Debian packages with dh-linktree.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 May 2020 10:38:46 +0200

zoneminder-dmo (2:1.34.12-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 May 2020 01:33:28 +0200

zoneminder-dmo (2:1.34.11-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 May 2020 21:14:31 +0200

zoneminder-dmo (2:1.34.10-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Apr 2020 07:09:41 +0200



=== debian/control ===
Source: zoneminder-dmo
Section: net
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.zoneminder.com/
Rules-Requires-Root: no
Standards-Version: 4.5.1
#Build-Conflicts: libavresample-dev
Build-Depends: debhelper-compat (= 13), libphp-serialization-perl, libwww-perl,
 libgnutls-openssl-dev, default-libmysqlclient-dev, libdbd-mysql-perl, libdate-manip-perl,
 libjpeg-dev, libavcodec-dev, quilt, libavformat-dev, libbz2-dev, libswscale-dev,
 libv4l-dev (>= 0.8.3), libsys-mmap-perl, libavdevice-dev, libvlc-dev, cmake,
 libcurl4-gnutls-dev, ninja-build, libpolkit-gobject-1-dev, python3-sphinx,
 libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~), libjwt-gnutls-dev,
 dh-linktree,
 cakephp (>= 2.6.3), cakephp (<< 3.0.0~), libjs-jquery-timepicker,
 libjs-chosen, libjs-jquery-ui, fonts-glyphicons-halflings,
 fonts-material-design-icons-iconfont

# Version 4 is mandatory
# libjs-bootstrap,

Package: zoneminder
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, apache2 | httpd, libapache2-mod-php, php, php-mysql,
 liburi-encode-perl, libphp-serialization-perl, libdate-manip-perl, libmime-tools-perl, libmime-lite-perl,
 default-mysql-client | virtual-mysql-client, libwww-perl, libarchive-tar-perl, libarchive-zip-perl,
 libdevice-serialport-perl, libpcre3, ffmpeg, rsyslog | system-log-daemon, libmodule-load-perl,
 libsys-mmap-perl, zip, javascript-common, php-cgi, libclass-std-fast-perl, libdata-dump-perl, libsoap-wsdl-perl,
 libdigest-sha-perl, libdigest-perl, libio-socket-multicast-perl, libmime-tools-perl, libdbd-mysql-perl,
 libjson-any-perl, libnet-sftp-foreign-perl, libio-pty-perl, libexpect-perl, libsys-cpu-perl, libsys-meminfo-perl,
 libdata-uuid-perl, lsb-base, php-apcu-bc, php-gd, php-json, libnumber-bytes-human-perl,
 libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl
Recommends: default-mysql-server | virtual-mysql-server
Suggests: policykit-1
Description: Linux video camera security and surveillance solution
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It supports
 capture, analysis, recording, and monitoring of video data coming from one
 or more video or network cameras attached to a Linux system. ZoneMinder
 also support web and semi-automatic control of Pan/Tilt/Zoom cameras using
 a variety of protocols. It is suitable for use as a home video security
 system and for commercial or professional video security and surveillance.
 It can also be integrated into a home automation system via X.10 or other
 protocols.

Package: zoneminder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: www-browser
Description: ZoneMinder documentation
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It supports
 capture, analysis, recording, and monitoring of video data coming from one
 or more video or network cameras attached to a Linux system. ZoneMinder
 also support web and semi-automatic control of Pan/Tilt/Zoom cameras using
 a variety of protocols. It is suitable for use as a home video security
 system and for commercial or professional video security and surveillance.
 It can also be integrated into a home automation system via X.10 or other
 protocols.
 .
 This package provides ZoneMinder documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

ifeq "$(DEB_HOST_ARCH)" "armel"
	EXTRA_CFLAGS="-DZM_STRIP_NEON=1"
endif

# source is missing in web/api/app/Plugin/CakePHP-Enum-Behavior
# and                  web/api/app/Plugin/Crud
# From a git source :
# git submodule update --init --recursive
# and then copy web/api/app/Plugin/* here
# cp -r (zoneminder-git)/dep/RtspServer/* dep/RtspServer/
# cp -r (zoneminder-git)/web/api/app/Plugin/* web/api/app/Plugin/

%:
	dh $@ -Scmake+ninja --with quilt,apache2,linktree,sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_HOST_ARCH=$(DEB_HOST_ARCH) \
	-DZM_CGIDIR="/usr/lib/zoneminder/cgi-bin" \
	-DZM_CONFIG_DIR="/etc/zm" \
	-DZM_CONFIG="/etc/zm/zm.conf" \
	-DZM_CONTENTDIR="/var/cache/zoneminder" \
	-DZM_DIR_EVENTS="/var/cache/zoneminder/events" \
	-DZM_DIR_IMAGES="/var/cache/zoneminder/images" \
	-DZM_ONVIF=ON \
	-DZM_RUNDIR="/run/zm" \
	-DZM_SOCKDIR="/run/zm" \
	-DZM_TMPDIR="/tmp/zm" \
	$(EXTRA_CFLAGS)

#	exit 1

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	$(MAKE) -C docs html

override_dh_auto_install:
	dh_auto_install

	$(RM) -rf debian/zoneminder/src
	$(RM) -rf debian/zoneminder/tmp

	$(RM) debian/tmp/usr/share/man/man3/WSNotification*
	$(RM) debian/tmp/usr/share/man/man3/ONVIF*
	$(RM) debian/tmp/usr/share/man/man3/WSDiscovery10*

	# remove worthless files:
	$(RM) $(CURDIR)/debian/tmp/usr/share/perl5/*/*/*/.packlist
	$(RM) $(CURDIR)/debian/tmp/usr/share/perl5/*/*.in
	$(RM) $(CURDIR)/debian/tmp/usr/share/zoneminder/www/fonts/license.md

	find debian -name *.js.URL -delete

	# remove empty directories:
	find $(CURDIR)/debian/tmp/usr -type d -empty -delete -printf 'removed %p\n'

	# remove extra file:
	$(RM) $(CURDIR)/debian/zoneminder/usr/share/zoneminder/www/api/lib/Cake/LICENSE.txt
	$(RM) $(CURDIR)/debian/zoneminder/usr/share/zoneminder/www/api/.gitattributes
	$(RM) $(CURDIR)/debian/zoneminder/usr/share/zoneminder/www/api/.gitignore

	# Don't ship core.php as it contains pre-generated/static salts.
	# We keep core.php.default as a template for the postinst.
	rm -f $(CURDIR)/debian/tmp/usr/share/zoneminder/www/api/app/Config/core.php

override_dh_fixperms:
	dh_fixperms

	chmod -c o-r $(CURDIR)/debian/zoneminder/etc/zm/zm.conf

override_dh_clean:
#	[ $(UPSTREAM_VERSION) = $(LOCAL_VERSION) ]

	dh_clean $(MANPAGES1)
	$(RM) -r docs/_build docs/installationguide

override_dh_auto_test:

=== debian/watch ===
version=4

opts="versionmangle=s/v|-rc\.1//" \
https://github.com/ZoneMinder/ZoneMinder/releases \
(?:.*?/)(\d[\d.]*)@ARCHIVE_EXT@

## zoneminder-dmo 1.36.32

=== debian/changelog ===
zoneminder-dmo (2:1.36.32-dmo0~bpo11+2) oldstable-backports; urgency=medium

  * Build with ffmpeg from oldstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Mar 2025 11:20:59 +0100

zoneminder-dmo (2:1.36.32-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Nov 2022 10:07:37 +0100

zoneminder-dmo (2:1.36.31-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Oct 2022 08:45:12 +0200

zoneminder-dmo (2:1.36.29-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Oct 2022 09:20:55 +0200

zoneminder-dmo (2:1.36.25-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Sep 2022 15:00:07 +0200

zoneminder-dmo (2:1.36.24-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Aug 2022 11:50:54 +0200

zoneminder-dmo (2:1.36.21-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jul 2022 09:42:00 +0200

zoneminder-dmo (2:1.36.20-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.
  * Don't use system fonts. This overload fontconfig and make font selector
    very slow to open with hundreds of fonts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 Jul 2022 08:00:08 +0200

zoneminder-dmo (2:1.36.18-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jun 2022 08:39:33 +0200

zoneminder-dmo (2:1.36.14-dmo0~bpo11+2) stable-backports; urgency=medium

  * Add php-fpm as alternative for libapache2-mod-php.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 May 2022 14:38:30 +0200

zoneminder-dmo (2:1.36.14-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Apr 2022 00:04:32 +0200

zoneminder-dmo (2:1.36.13-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Apr 2022 10:17:58 +0200

zoneminder-dmo (2:1.36.12-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Dec 2021 14:27:44 +0100

zoneminder-dmo (2:1.36.11-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Dec 2021 11:12:02 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  libv4l-dev (>= 0.8.3), libsys-mmap-perl, libavdevice-dev, libvlc-dev, cmake,
  libcurl4-gnutls-dev, ninja-build, libpolkit-gobject-1-dev, python3-sphinx,
  libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~), libjwt-gnutls-dev,
+ libgcrypt-dev, libvncserver-dev,
  dh-linktree,
  cakephp (>= 2.6.3), cakephp (<< 3.0.0~), libjs-jquery-timepicker,
- libjs-chosen, libjs-jquery-ui, fonts-glyphicons-halflings,
- fonts-material-design-icons-iconfont
+ libjs-chosen, libjs-jquery-ui
 
 # Version 4 is mandatory
 # libjs-bootstrap,
@@ -24,7 +24,7 @@
 Package: zoneminder
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, apache2 | httpd, libapache2-mod-php, php, php-mysql,
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, apache2 | httpd, libapache2-mod-php | php-fpm, php, php-mysql,
  liburi-encode-perl, libphp-serialization-perl, libdate-manip-perl, libmime-tools-perl, libmime-lite-perl,
  default-mysql-client | virtual-mysql-client, libwww-perl, libarchive-tar-perl, libarchive-zip-perl,
  libdevice-serialport-perl, libpcre3, ffmpeg, rsyslog | system-log-daemon, libmodule-load-perl,
@@ -34,7 +34,7 @@
  libdata-uuid-perl, lsb-base, php-apcu-bc, php-gd, php-json, libnumber-bytes-human-perl,
  libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl
 Recommends: default-mysql-server | virtual-mysql-server
-Suggests: policykit-1
+Suggests: net-tools, fcgiwrap, logrotate, policykit-1
 Description: Linux video camera security and surveillance solution
  ZoneMinder is intended for use in single or multi-camera video security
  applications, including commercial or home CCTV, theft prevention and child

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	-DCMAKE_HOST_ARCH=$(DEB_HOST_ARCH) \
-	-DZM_CGIDIR="/usr/lib/zoneminder/cgi-bin" \
+	-DZM_CGIDIR="/usr/lib/cgi-bin" \
 	-DZM_CONFIG_DIR="/etc/zm" \
 	-DZM_CONFIG="/etc/zm/zm.conf" \
 	-DZM_CONTENTDIR="/var/cache/zoneminder" \
@@ -74,8 +74,6 @@
 	chmod -c o-r $(CURDIR)/debian/zoneminder/etc/zm/zm.conf
 
 override_dh_clean:
-#	[ $(UPSTREAM_VERSION) = $(LOCAL_VERSION) ]
-
 	dh_clean $(MANPAGES1)
 	$(RM) -r docs/_build docs/installationguide

=== debian/watch ===
version=4

opts="versionmangle=s/v|-rc\.1//" \
https://github.com/ZoneMinder/ZoneMinder/tags \
(?:.*?/)(\d[\d.]*)@ARCHIVE_EXT@

## zoneminder-dmo 1.36.33

=== debian/changelog ===
zoneminder-dmo (2:1.36.33-dmo3+deb12u2) stable; urgency=medium

  * In postinst and postrm use /etc/mysql/my.cnf instead of
    /etc/mysql/debian.cnf

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Nov 2024 09:43:44 +0100

zoneminder-dmo (2:1.36.33-dmo3+deb12u1) stable; urgency=medium

  * Should depends on php-intl

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Nov 2024 12:14:34 +0100

zoneminder-dmo (2:1.36.33-dmo3) unstable; urgency=medium

  * Also set images and events directories inside /var/cache/zoneminder
    with chown www-data:www-data

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Apr 2023 09:54:22 +0200

zoneminder-dmo (2:1.36.33-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 11:54:33 +0100

zoneminder-dmo (2:1.36.33-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Feb 2023 08:04:47 +0100

zoneminder-dmo (2:1.36.32-dmo3) unstable; urgency=medium

  * Remove 'rsyslog | system-log-daemon' dependencies now managed partially
    by journalctl.
  * In Suggests replaces policykit-1 by polkitd and pkexec
  * Always update the local database with zmupdate.pl
  * Update libjs-jquery-ui path

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Feb 2023 10:33:53 +0100

zoneminder-dmo (2:1.36.32-dmo2) unstable; urgency=medium

  * Install Cake files from zoneminder source tarball and don't Depends on
    cakephp.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Jan 2023 11:16:53 +0100

zoneminder-dmo (2:1.36.32-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Nov 2022 01:37:29 +0100

zoneminder-dmo (2:1.36.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Oct 2022 00:22:29 +0200

zoneminder-dmo (2:1.36.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Oct 2022 01:45:22 +0200

zoneminder-dmo (2:1.36.28-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Oct 2022 01:35:02 +0200

zoneminder-dmo (2:1.36.27-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Oct 2022 18:35:03 +0200

zoneminder-dmo (2:1.36.26-dmo2) unstable; urgency=medium

  * Don't Depends on sysvinit-utils but lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 09:44:03 +0200

zoneminder-dmo (2:1.36.26-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Sep 2022 18:40:37 +0200

zoneminder-dmo (2:1.36.25-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Aug 2022 18:11:38 +0200

zoneminder-dmo (2:1.36.24-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Aug 2022 16:18:12 +0200

zoneminder-dmo (2:1.36.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Aug 2022 17:10:53 +0200

zoneminder-dmo (2:1.36.21-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Jul 2022 22:25:33 +0200

zoneminder-dmo (2:1.36.20-dmo2) unstable; urgency=medium

  * Don't use system fonts. This overload fontconfig and make font selector
    very slow to open with hundreds of fonts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Jul 2022 16:24:46 +0200

zoneminder-dmo (2:1.36.20-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Jul 2022 19:36:23 +0200

zoneminder-dmo (2:1.36.18-dmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 15:38:40 +0200

zoneminder-dmo (2:1.36.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Jun 2022 19:07:49 +0200

zoneminder-dmo (2:1.36.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Jun 2022 07:55:51 +0200

zoneminder-dmo (2:1.36.16-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 May 2022 18:15:14 +0200

zoneminder-dmo (2:1.36.15-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 May 2022 00:31:16 +0200

zoneminder-dmo (2:1.36.14-dmo2) unstable; urgency=medium

  * Add php-fpm as alternative for libapache2-mod-php.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 May 2022 14:15:50 +0200

zoneminder-dmo (2:1.36.14-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Apr 2022 23:57:01 +0200

zoneminder-dmo (2:1.36.13-dmo2) unstable; urgency=medium

  * Add libgcrypt-dev and libvncserver-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Mar 2022 10:11:41 +0200

zoneminder-dmo (2:1.36.13-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Mar 2022 09:12:41 +0200

zoneminder-dmo (2:1.36.12-dmo2) unstable; urgency=medium

  * Move from php-apcu-bc to php-apcu (php-apcu-bc doesn't work and will
    never work with php 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jan 2022 10:33:14 +0100



=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.zoneminder.com/
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-#Build-Conflicts: libavresample-dev
+Standards-Version: 4.6.2
+Build-Conflicts: libpcre3-dev
 Build-Depends: debhelper-compat (= 13), libphp-serialization-perl, libwww-perl,
  libgnutls-openssl-dev, default-libmysqlclient-dev, libdbd-mysql-perl, libdate-manip-perl,
  libjpeg-dev, libavcodec-dev, quilt, libavformat-dev, libbz2-dev, libswscale-dev,
@@ -15,26 +15,26 @@
  libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~), libjwt-gnutls-dev,
  libgcrypt-dev, libvncserver-dev,
  dh-linktree,
- cakephp (>= 2.6.3), cakephp (<< 3.0.0~), libjs-jquery-timepicker,
- libjs-chosen, libjs-jquery-ui
+ libjs-jquery-timepicker, libjs-chosen, libjs-jquery-ui, libjs-bootstrap4
 
-# Version 4 is mandatory
-# libjs-bootstrap,
+## libjs-jquery,
 
 Package: zoneminder
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, apache2 | httpd, libapache2-mod-php | php-fpm, php, php-mysql,
- liburi-encode-perl, libphp-serialization-perl, libdate-manip-perl, libmime-tools-perl, libmime-lite-perl,
- default-mysql-client | virtual-mysql-client, libwww-perl, libarchive-tar-perl, libarchive-zip-perl,
- libdevice-serialport-perl, libpcre3, ffmpeg, rsyslog | system-log-daemon, libmodule-load-perl,
- libsys-mmap-perl, zip, javascript-common, php-cgi, libclass-std-fast-perl, libdata-dump-perl, libsoap-wsdl-perl,
- libdigest-sha-perl, libdigest-perl, libio-socket-multicast-perl, libmime-tools-perl, libdbd-mysql-perl,
- libjson-any-perl, libnet-sftp-foreign-perl, libio-pty-perl, libexpect-perl, libsys-cpu-perl, libsys-meminfo-perl,
- libdata-uuid-perl, lsb-base, php-apcu-bc, php-gd, php-json, libnumber-bytes-human-perl,
- libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, apache2 | httpd,
+ libapache2-mod-php | php-fpm, php, php-mysql, liburi-encode-perl, zip,
+ libphp-serialization-perl, libdate-manip-perl, libmime-tools-perl, libmime-lite-perl,
+ default-mysql-client | virtual-mysql-client, libwww-perl, libarchive-tar-perl,
+ libarchive-zip-perl, libdevice-serialport-perl, ffmpeg, libmodule-load-perl, libsys-mmap-perl,
+ javascript-common, php-cgi, libclass-std-fast-perl, libdata-dump-perl, libsoap-wsdl-perl,
+ libdigest-sha-perl, libdigest-perl, libio-socket-multicast-perl, libmime-tools-perl,
+ libdbd-mysql-perl, libjson-any-perl, libnet-sftp-foreign-perl, libio-pty-perl,
+ libexpect-perl, libsys-cpu-perl, libsys-meminfo-perl, libdata-uuid-perl, php-intl,
+ sysvinit-utils (>= 3.05-4~), php-apcu, php-gd, php-json, libnumber-bytes-human-perl,
+ libjs-jquery, libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl
 Recommends: default-mysql-server | virtual-mysql-server
-Suggests: net-tools, fcgiwrap, logrotate, policykit-1
+Suggests: net-tools, fcgiwrap, logrotate, polkitd, pkexec
 Description: Linux video camera security and surveillance solution
  ZoneMinder is intended for use in single or multi-camera video security
  applications, including commercial or home CCTV, theft prevention and child

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	-DZM_CONTENTDIR="/var/cache/zoneminder" \
 	-DZM_DIR_EVENTS="/var/cache/zoneminder/events" \
 	-DZM_DIR_IMAGES="/var/cache/zoneminder/images" \
+	-DZM_PCRE=OFF \
 	-DZM_ONVIF=ON \
 	-DZM_RUNDIR="/run/zm" \
 	-DZM_SOCKDIR="/run/zm" \
@@ -74,7 +75,7 @@
 	chmod -c o-r $(CURDIR)/debian/zoneminder/etc/zm/zm.conf
 
 override_dh_clean:
-	dh_clean $(MANPAGES1)
+	dh_clean $(MANPAGES1) web/api/app/vendor/composer/installers/.gitignore
 	$(RM) -r docs/_build docs/installationguide
 
 override_dh_auto_test:

## zoneminder-dmo 1.36.35

=== debian/changelog ===
zoneminder-dmo (2:1.36.35-dmo5) unstable; urgency=medium

  * Use /etc/mysql/my.cnf in postrm and postinst scripts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Nov 2024 09:14:08 +0100

zoneminder-dmo (2:1.36.35-dmo4) unstable; urgency=medium

  * Don't build with libpcre3

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Nov 2024 16:05:55 +0100

zoneminder-dmo (2:1.36.35-dmo3) unstable; urgency=medium

  * Build with upstream libjs-bootstrap4

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Nov 2024 15:46:26 +0100

zoneminder-dmo (2:1.36.35-dmo2) unstable; urgency=medium

  * debian/postinst use /etc/mysql/mariadb.cnf instead of /etc/mysql/debian.cnf
  * Should depends on php-intl and libxml-libxml-perl

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Nov 2024 09:48:06 +0100

zoneminder-dmo (2:1.36.35-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Oct 2024 18:10:45 +0200

zoneminder-dmo (2:1.36.34-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Aug 2024 14:44:40 +0200

zoneminder-dmo (2:1.36.33-dmo5) unstable; urgency=medium

  * Build with libjwt-gnutls2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Feb 2024 07:26:28 +0100

zoneminder-dmo (2:1.36.33-dmo4) unstable; urgency=medium

  * Rebuild to install systemd files in /usr

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jan 2024 11:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.zoneminder.com/
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Conflicts: libpcre3-dev
 Build-Depends: debhelper-compat (= 13), libphp-serialization-perl, libwww-perl,
  libgnutls-openssl-dev, default-libmysqlclient-dev, libdbd-mysql-perl, libdate-manip-perl,
  libjpeg-dev, libavcodec-dev, quilt, libavformat-dev, libbz2-dev, libswscale-dev,
  libv4l-dev (>= 0.8.3), libsys-mmap-perl, libavdevice-dev, libvlc-dev, cmake,
  libcurl4-gnutls-dev, ninja-build, libpolkit-gobject-1-dev, python3-sphinx,
- libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~), libjwt-gnutls-dev,
+ libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~), libjwt-gnutls-dev (>= 1.17~),
  libgcrypt-dev, libvncserver-dev,
  dh-linktree,
- libjs-jquery-timepicker, libjs-chosen, libjs-jquery-ui, libjs-bootstrap4
+ libjs-jquery-timepicker, libjs-chosen, libjs-jquery-ui, fonts-font-awesome,
+ fonts-glyphicons-halflings,
 
+## libjs-bootstrap4,
 ## libjs-jquery,
 
 Package: zoneminder
@@ -32,7 +34,8 @@
  libdbd-mysql-perl, libjson-any-perl, libnet-sftp-foreign-perl, libio-pty-perl,
  libexpect-perl, libsys-cpu-perl, libsys-meminfo-perl, libdata-uuid-perl, php-intl,
  sysvinit-utils (>= 3.05-4~), php-apcu, php-gd, php-json, libnumber-bytes-human-perl,
- libjs-jquery, libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl
+ libjs-jquery, libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl,
+ libxml-libxml-perl
 Recommends: default-mysql-server | virtual-mysql-server
 Suggests: net-tools, fcgiwrap, logrotate, polkitd, pkexec
 Description: Linux video camera security and surveillance solution

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # and then copy web/api/app/Plugin/* here
 # cp -r (zoneminder-git)/dep/RtspServer/* dep/RtspServer/
 # cp -r (zoneminder-git)/web/api/app/Plugin/* web/api/app/Plugin/
+
 
 %:
 	dh $@ -Scmake+ninja --with quilt,apache2,linktree,sphinxdoc
@@ -29,6 +30,7 @@
 	-DZM_ONVIF=ON \
 	-DZM_RUNDIR="/run/zm" \
 	-DZM_SOCKDIR="/run/zm" \
+	-DZM_SYSTEMD=ON \
 	-DZM_TMPDIR="/tmp/zm" \
 	$(EXTRA_CFLAGS)

=== debian/watch ===
version=4

opts="versionmangle=s/v|-rc\.1|1\.37\.61//" \
https://github.com/ZoneMinder/ZoneMinder/tags \
(?:.*?/)(\d[\d.]*)@ARCHIVE_EXT@

## zoneminder-dmo 1.36.36

=== debian/changelog ===
zoneminder-dmo (2:1.36.36-dmo1~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2025 10:50:58 +0200

zoneminder-dmo (2:1.36.36-dmo1) unstable; urgency=medium

  * New upstream release.
  * Let zoneminder to install the database.
  * Use /etc/mysql/debian.cnf in postrm script.
  * Remove unneeded 02_Perl-modules patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Oct 2025 08:00:19 +0200

zoneminder-dmo (2:1.36.35-dmo6) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 09:22:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,20 +18,20 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DCMAKE_HOST_ARCH=$(DEB_HOST_ARCH) \
-	-DZM_CGIDIR="/usr/lib/cgi-bin" \
-	-DZM_CONFIG_DIR="/etc/zm" \
-	-DZM_CONFIG="/etc/zm/zm.conf" \
-	-DZM_CONTENTDIR="/var/cache/zoneminder" \
-	-DZM_DIR_EVENTS="/var/cache/zoneminder/events" \
-	-DZM_DIR_IMAGES="/var/cache/zoneminder/images" \
-	-DZM_PCRE=OFF \
-	-DZM_ONVIF=ON \
-	-DZM_RUNDIR="/run/zm" \
-	-DZM_SOCKDIR="/run/zm" \
-	-DZM_SYSTEMD=ON \
-	-DZM_TMPDIR="/tmp/zm" \
+	-D CMAKE_BUILD_TYPE=RelWithDebInfo \
+	-D CMAKE_HOST_ARCH=$(DEB_HOST_ARCH) \
+	-D ZM_CGIDIR="/usr/lib/cgi-bin" \
+	-D ZM_CONFIG_DIR="/etc/zm" \
+	-D ZM_CONFIG="/etc/zm/zm.conf" \
+	-D ZM_CONTENTDIR="/var/cache/zoneminder" \
+	-D ZM_DIR_EVENTS="/var/cache/zoneminder/events" \
+	-D ZM_DIR_IMAGES="/var/cache/zoneminder/images" \
+	-D ZM_PCRE=OFF \
+	-D ZM_ONVIF=ON \
+	-D ZM_RUNDIR="/run/zm" \
+	-D ZM_SOCKDIR="/run/zm" \
+	-D ZM_SYSTEMD=ON \
+	-D ZM_TMPDIR="/tmp/zm" \
 	$(EXTRA_CFLAGS)
 
 #	exit 1

=== debian/watch ===
version=4

opts="versionmangle=s/v|-rc\.1|1\.37.*//" \
https://github.com/ZoneMinder/ZoneMinder/tags \
(?:.*?/)(\d[\d.]*)@ARCHIVE_EXT@

## zoneminder-dmo 1.36.37

=== debian/changelog ===
zoneminder-dmo (2:1.36.37-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Dec 2025 22:46:23 +0100

=== debian/watch ===
version=4

opts="versionmangle=s/v|-rc\.1|1\.37.*|1\.36\.63//" \
https://github.com/ZoneMinder/ZoneMinder/tags \
(?:.*?/)(\d[\d.]*)@ARCHIVE_EXT@
